Skip to content
Start here

List Custom CSRs

client.CustomCsrs.List(ctx, params) (*V4PagePaginationArray[CustomCsrListResponse], error)
GET/{accounts_or_zones}/{account_or_zone_id}/custom_csrs

List all custom Certificate Signing Requests (CSRs) for an account or zone.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Account: SSL and Certificates ReadAccount: SSL and Certificates Write
ParametersExpand Collapse
params CustomCsrListParams
AccountID param.Field[string]Optional

Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID.

ZoneID param.Field[string]Optional

Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID.

Page param.Field[float64]Optional

Query param: Page number of paginated results.

minimum1
PerPage param.Field[float64]Optional

Query param: Number of custom CSRs per page.

maximum50
minimum5
ReturnsExpand Collapse
type CustomCsrListResponse struct{…}

A custom Certificate Signing Request (CSR).

ID string

Custom CSR identifier tag.

maxLength36
CreatedAt Time

When the CSR was created.

formatdate-time
KeyType CustomCsrListResponseKeyType

The key algorithm used to generate the CSR.

One of the following:
const CustomCsrListResponseKeyTypeRsa2048 CustomCsrListResponseKeyType = "rsa2048"
const CustomCsrListResponseKeyTypeP256v1 CustomCsrListResponseKeyType = "p256v1"
AccountTag stringOptional

Account identifier associated with this CSR.

CommonName stringOptional

The common name (domain) for the CSR.

maxLength64
Country stringOptional

Two-letter ISO 3166-1 alpha-2 country code.

Csr stringOptional

The PEM-encoded Certificate Signing Request.

Description stringOptional

Optional description for the CSR.

Locality stringOptional

City or locality name.

Name stringOptional

Human-readable name for the CSR.

Organization stringOptional

Organization name.

OrganizationalUnit stringOptional

Organizational unit name.

Sans []stringOptional

Subject Alternative Names included in the CSR.

State stringOptional

State or province name.

List Custom CSRs

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/custom_csrs"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.CustomCsrs.List(context.TODO(), custom_csrs.CustomCsrListParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "7b163417-1d2b-4c84-a38a-2fb7a0cd7752",
      "created_at": "2024-01-15T10:30:00Z",
      "key_type": "rsa2048",
      "account_tag": "23e087bd19bc1d40ae95b6f297263ceb",
      "common_name": "example.com",
      "country": "US",
      "csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIICYzCCAUsCAQAwHj...",
      "description": "CSR for example.com wildcard",
      "locality": "San Francisco",
      "name": "My Custom CSR",
      "organization": "Cloudflare, Inc.",
      "organizational_unit": "Engineering",
      "sans": [
        "example.com",
        "www.example.com"
      ],
      "state": "California"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "7b163417-1d2b-4c84-a38a-2fb7a0cd7752",
      "created_at": "2024-01-15T10:30:00Z",
      "key_type": "rsa2048",
      "account_tag": "23e087bd19bc1d40ae95b6f297263ceb",
      "common_name": "example.com",
      "country": "US",
      "csr": "-----BEGIN CERTIFICATE REQUEST-----\nMIICYzCCAUsCAQAwHj...",
      "description": "CSR for example.com wildcard",
      "locality": "San Francisco",
      "name": "My Custom CSR",
      "organization": "Cloudflare, Inc.",
      "organizational_unit": "Engineering",
      "sans": [
        "example.com",
        "www.example.com"
      ],
      "state": "California"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}